#!/usr/bin/env python
# -*- coding: utf-8 -*-

import setuptools
import ShumeiPai2LinuxHeWindows10XuexiShouceJifan
import os
from os import path

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

for subdir, _, _ in os.walk('ShumeiPai2LinuxHeWindows10XuexiShouceJifan'):
    fname = path.join(subdir, '__init__.py')
    open(fname, 'a').close()
    
setuptools.setup(
    name="shumei-pai-2-linux-he-windows10-xuexi-shouce-jifan",
    version=ShumeiPai2LinuxHeWindows10XuexiShouceJifan.__version__,
    url="https://github.com/apachecn/shumei-pai-2-linux-he-windows10-xuexi-shouce-jifan",
    author=ShumeiPai2LinuxHeWindows10XuexiShouceJifan.__author__,
    author_email=ShumeiPai2LinuxHeWindows10XuexiShouceJifan.__email__,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: Other/Proprietary License",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Text Processing :: Markup :: Markdown",
        "Topic :: Text Processing :: Markup :: HTML",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Software Development :: Documentation",
        "Topic :: Documentation",
    ],
    description="树莓派 2 Linux 和 Windows10 学习手册（机翻）",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=[],
    install_requires=[],
    python_requires=">=3.6",
    entry_points={
        'console_scripts': [
            "shumei-pai-2-linux-he-windows10-xuexi-shouce-jifan=ShumeiPai2LinuxHeWindows10XuexiShouceJifan.__main__:main",
            "ShumeiPai2LinuxHeWindows10XuexiShouceJifan=ShumeiPai2LinuxHeWindows10XuexiShouceJifan.__main__:main",
        ],
    },
    packages=setuptools.find_packages(),
    package_data={'': ['*']},
)
